%define pk_version 0.6.12

Name:      PackageKit-presolve
Summary:   PackageKit presolve backend
Version:   0.1
Release:   4.1
License:   GPLv2+
URL:       http://wiki.sugarlabs.org/go/Platform_Team/packagekit-backend-presolve
Source0:   %{name}-%{version}.tar.gz

Requires:  PackageKit = %{pk_version}

BuildRequires: glib2-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: pam-devel
BuildRequires: xmlto
BuildRequires: sqlite-devel
BuildRequires: polkit-devel
BuildRequires: libtool
BuildRequires: docbook-utils
BuildRequires: gnome-doc-utils
BuildRequires: python-devel
BuildRequires: perl(XML::Parser)
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libgudev1-devel
BuildRequires: libarchive-devel
BuildRequires: pm-utils-devel

%description
PackageKit backend which is intended to be used on restricted systems
like XO laptops where regular package management routines are too heavy
for limited amount of memory or CPU resources.

%prep
%setup -q
tar xf build/PackageKit-%{pk_version}.tar.gz -C build
cd build/PackageKit-%{pk_version}
patch -p1 < ../mixin.patch
cp -r ../../backends/presolve backends/

%build
cd build/PackageKit-%{pk_version}
autoreconf
%configure \
        --disable-static \
        --disable-networkmanager \
        --enable-qt=no \
        --enable-systemd=no \
        --with-security-framework=dummy \
        --disable-cron \
        --disable-browser-plugin \
        --disable-gstreamer-plugin \
        --enable-introspection=no \
        --disable-local \
        --disable-strict \
        --disable-tests
make -C backends/presolve

%install
make -C build/PackageKit-%{pk_version}/backends/presolve DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/packagekit-backend/*.la

%files
%defattr(-,root,root,-)
%{_libdir}/packagekit-backend/libpk_backend_presolve.so
%{_datadir}/PackageKit/helpers/presolve/*.py

%changelog
